This commit is contained in:
parent
3457258c0d
commit
d0b7f18428
BIN
PayPalEE.cert
BIN
PayPalEE.cert
Binary file not shown.
BIN
PayPalICA.cert
BIN
PayPalICA.cert
Binary file not shown.
@ -1,3 +0,0 @@
|
||||
version https://git-lfs.github.com/spec/v1
|
||||
oid sha256:18bb217adb927e4ef618dacb3b3dea7fc123f28544bf3b2c49b7a886f65e061c
|
||||
size 36032
|
@ -1,104 +0,0 @@
|
||||
Index: chains.sh
|
||||
===================================================================
|
||||
RCS file: /cvsroot/mozilla/security/nss/tests/chains/chains.sh,v
|
||||
retrieving revision 1.15
|
||||
diff -u -9 -r1.15 chains.sh
|
||||
--- chains.sh 15 Apr 2009 18:04:35 -0000 1.15
|
||||
+++ security/nss/tests/chains/chains.sh 17 Apr 2009 13:02:49 -0000
|
||||
@@ -689,18 +689,49 @@
|
||||
if [ "${EXP_RESULT}" = "pass" -a ${RESULT} -eq 0 ]; then
|
||||
html_passed "${SCENARIO}${TESTNAME}"
|
||||
elif [ "${EXP_RESULT}" = "fail" -a ${RESULT} -ne 0 ]; then
|
||||
html_passed "${SCENARIO}${TESTNAME}"
|
||||
else
|
||||
html_failed "${SCENARIO}${TESTNAME}"
|
||||
fi
|
||||
}
|
||||
|
||||
+
|
||||
+check_ocsp()
|
||||
+{
|
||||
+ OCSP_CERT=$1
|
||||
+
|
||||
+ CERT_NICK=`echo ${OCSP_CERT} | cut -d: -f1`
|
||||
+ CERT_ISSUER=`echo ${OCSP_CERT} | cut -d: -f2`
|
||||
+
|
||||
+ if [ "${CERT_ISSUER}" = "x" ]; then
|
||||
+ CERT_ISSUER=
|
||||
+ CERT=${CERT_NICK}.cert
|
||||
+ CERT_FILE="${QADIR}/libpkix/certs/${CERT}"
|
||||
+ else
|
||||
+ CERT=${CERT_NICK}${CERT_ISSUER}.der
|
||||
+ CERT_FILE=${CERT}
|
||||
+ fi
|
||||
+
|
||||
+ OCSP_HOST=$(${BINDIR}/pp -t certificate -i ${CERT_FILE} | grep URI | sed "s/.*:\/\///" | sed "s/:.*//")
|
||||
+
|
||||
+ if [ "${OS_ARCH}" = "WINNT" ]; then
|
||||
+ ping -n 1 ${OCSP_HOST}
|
||||
+ return $?
|
||||
+ elif [ "${OS_ARCH}" = "HP-UX" ]; then
|
||||
+ ping ${OCSP_HOST} -c 1
|
||||
+ return $?
|
||||
+ else
|
||||
+ ping -c 1 ${OCSP_HOST}
|
||||
+ return $?
|
||||
+ fi
|
||||
+}
|
||||
+
|
||||
############################ parse_result ##############################
|
||||
# local shell function to process expected result value
|
||||
# this function was created for case that expected result depends on
|
||||
# some conditions - in our case type of cert DB
|
||||
#
|
||||
# default results are pass and fail
|
||||
# this function added parsable values in format:
|
||||
# type1:value1 type2:value2 .... typex:valuex
|
||||
#
|
||||
@@ -859,18 +890,25 @@
|
||||
LOGFILE="${LOGDIR}/${LOGNAME}"
|
||||
fi
|
||||
;;
|
||||
"sleep")
|
||||
sleep ${VALUE}
|
||||
;;
|
||||
"break")
|
||||
break
|
||||
;;
|
||||
+ "check_ocsp")
|
||||
+ check_ocsp ${VALUE}
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ echo "OCSP server not accessible, skipping OCSP tests"
|
||||
+ break;
|
||||
+ fi
|
||||
+ ;;
|
||||
"")
|
||||
if [ -n "${ENTITY}" ]; then
|
||||
if [ -z "${DB}" ]; then
|
||||
create_entity "${ENTITY}" "${TYPE}"
|
||||
fi
|
||||
sign_cert "${ENTITY}" "${ISSUER}" "${TYPE}"
|
||||
if [ "${TYPE}" = "Bridge" ]; then
|
||||
create_pkcs7 "${ENTITY}"
|
||||
fi
|
||||
Index: scenarios/ocsp.cfg
|
||||
===================================================================
|
||||
RCS file: /cvsroot/mozilla/security/nss/tests/chains/scenarios/ocsp.cfg,v
|
||||
retrieving revision 1.4
|
||||
diff -u -9 -r1.4 ocsp.cfg
|
||||
--- scenarios/ocsp.cfg 19 Mar 2009 09:55:31 -0000 1.4
|
||||
+++ security/nss/tests/chains/scenarios/ocsp.cfg 17 Apr 2009 13:02:49 -0000
|
||||
@@ -1,11 +1,13 @@
|
||||
scenario OCSP
|
||||
|
||||
+check_ocsp OCSPEE11:x
|
||||
+
|
||||
db OCSPRoot
|
||||
import OCSPRoot:x:CT,C,C
|
||||
|
||||
db OCSPCA1
|
||||
import_key OCSPCA1
|
||||
|
||||
crl OCSPCA1
|
||||
|
||||
revoke OCSPCA1
|
@ -1,3 +1,10 @@
|
||||
-------------------------------------------------------------------
|
||||
Mon Aug 3 18:45:02 CEST 2009 - wr@rosenauer.org
|
||||
|
||||
- update to NSS 3.12.4pre snapshot
|
||||
- rebased existing patches
|
||||
- enable testsuite again (was disabled accidentally before)
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Wed Jul 29 09:40:02 CEST 2009 - wr@rosenauer.org
|
||||
|
||||
|
@ -1,5 +1,5 @@
|
||||
#
|
||||
# spec file for package mozilla-nss (Version 3.12.3.1)
|
||||
# spec file for package mozilla-nss (Version 3.12.3.99)
|
||||
#
|
||||
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
|
||||
# Copyright (c) 2006-2009 Wolfgang Rosenauer
|
||||
@ -28,7 +28,7 @@ BuildRequires: sqlite-devel
|
||||
BuildRequires: sqlite3-devel
|
||||
%endif
|
||||
License: GPL v2 or later ; LGPL v2.1 or later ; MPL
|
||||
Version: 3.12.3.1
|
||||
Version: 3.12.3.99
|
||||
Release: 1
|
||||
# bug437293
|
||||
%ifarch ppc64
|
||||
@ -43,16 +43,11 @@ Source: nss-%{version}.tar.bz2
|
||||
Source1: nss.pc.in
|
||||
Source2: addon-certs.txt
|
||||
Source3: nss-config.in
|
||||
Source4: PayPalEE.cert
|
||||
Source5: PayPalICA.cert
|
||||
Patch1: nss-opt.patch
|
||||
Patch2: nss-sqlitename.patch
|
||||
Patch3: system-nspr.patch
|
||||
Patch4: char.patch
|
||||
Patch5: nss-no-rpath.patch
|
||||
Patch6: nss-noexec.patch
|
||||
Patch7: bmo488646-oscp-test.patch
|
||||
Patch8: bmo485145-libjar.patch.bz2
|
||||
Patch9: malloc.patch
|
||||
# Remove remnant traces from the package split.
|
||||
Provides: libnss3 = %{version}-%{release}
|
||||
@ -63,7 +58,7 @@ PreReq: libfreebl3 >= %{version}
|
||||
Requires(post): coreutils
|
||||
BuildRoot: %{_tmppath}/%{name}-%{version}-build
|
||||
%define nssdbdir %{_sysconfdir}/pki/nssdb
|
||||
%define run_testsuite 0
|
||||
%define run_testsuite 1
|
||||
|
||||
%description
|
||||
Network Security Services (NSS) is a set of libraries designed to
|
||||
@ -133,7 +128,6 @@ certificates, and other security standards.
|
||||
This package installs the freebl library from NSS.
|
||||
|
||||
|
||||
|
||||
Authors:
|
||||
--------
|
||||
Mozilla Foundation
|
||||
@ -146,9 +140,6 @@ cd mozilla
|
||||
%patch3
|
||||
%patch4
|
||||
%patch5
|
||||
%patch6
|
||||
%patch7
|
||||
%patch8
|
||||
%if %suse_version > 1110
|
||||
%patch9
|
||||
%endif
|
||||
@ -180,8 +171,6 @@ export DOMSUF=" "
|
||||
export USE_IP=TRUE
|
||||
export IP_ADDRESS="127.0.0.1"
|
||||
cd tests
|
||||
# fix testsuite's certs
|
||||
cp %{SOURCE4} %{SOURCE5} libpkix/certs/
|
||||
./all.sh
|
||||
if grep "FAILED" ../../../tests_results/security/localhost.1/output.log ; then
|
||||
echo "Testsuite FAILED"
|
||||
|
@ -1,3 +0,0 @@
|
||||
version https://git-lfs.github.com/spec/v1
|
||||
oid sha256:8c491fdab1d8b99988cc17ac7f977e21564b7c2cb3cde79a2826f6358fda41dd
|
||||
size 4101271
|
3
nss-3.12.3.99.tar.bz2
Normal file
3
nss-3.12.3.99.tar.bz2
Normal file
@ -0,0 +1,3 @@
|
||||
version https://git-lfs.github.com/spec/v1
|
||||
oid sha256:3c150079100cddc15f4361cf838613a9b902bbd8b77ac56d0c4a7a1ccb18c2b2
|
||||
size 4126948
|
@ -1,25 +1,19 @@
|
||||
Index: security/nss/cmd/platlibs.mk
|
||||
===================================================================
|
||||
RCS file: /cvsroot/mozilla/security/nss/cmd/platlibs.mk,v
|
||||
retrieving revision 1.55
|
||||
diff -u -p -6 -r1.55 platlibs.mk
|
||||
--- security/nss/cmd/platlibs.mk 12 Oct 2007 01:44:40 -0000 1.55
|
||||
+++ security/nss/cmd/platlibs.mk 22 Jan 2008 09:18:05 -0000
|
||||
@@ -49,15 +49,15 @@ else
|
||||
EXTRA_SHARED_LIBS += -R '$$ORIGIN/../lib'
|
||||
endif
|
||||
endif
|
||||
|
||||
retrieving revision 1.64
|
||||
diff -u -r1.64 platlibs.mk
|
||||
--- security/nss/cmd/platlibs.mk 17 Jun 2009 23:01:48 -0000 1.64
|
||||
+++ security/nss/cmd/platlibs.mk 31 Jul 2009 08:04:09 -0000
|
||||
@@ -53,9 +53,9 @@
|
||||
ifeq ($(OS_ARCH), Linux)
|
||||
ifeq ($(BUILD_SUN_PKG), 1)
|
||||
ifeq ($(USE_64), 1)
|
||||
-EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib64:$$ORIGIN/../lib'
|
||||
+#EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib64:$$ORIGIN/../lib'
|
||||
-EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib64:/opt/sun/private/lib64:$$ORIGIN/../lib'
|
||||
+#EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib64:/opt/sun/private/lib64:$$ORIGIN/../lib'
|
||||
else
|
||||
-EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib'
|
||||
+#EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib'
|
||||
-EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib:/opt/sun/private/lib'
|
||||
+#EXTRA_SHARED_LIBS += -Wl,-rpath,'$$ORIGIN/../lib:/opt/sun/private/lib'
|
||||
endif
|
||||
endif
|
||||
|
||||
ifeq ($(OS_ARCH), HP-UX)
|
||||
ifeq ($(OS_TEST), ia64)
|
||||
EXTRA_SHARED_LIBS += -Wl,+b,'$$ORIGIN/../lib'
|
||||
else
|
||||
ifeq ($(USE_64), 1)
|
||||
|
@ -1,25 +0,0 @@
|
||||
Index: mozilla/security/coreconf/Linux.mk
|
||||
===================================================================
|
||||
RCS file: /cvsroot/mozilla/security/coreconf/Linux.mk,v
|
||||
retrieving revision 1.35
|
||||
diff -u -8 -r1.35 Linux.mk
|
||||
--- security/coreconf/Linux.mk 5 Sep 2008 23:17:23 -0000 1.35
|
||||
+++ security/coreconf/Linux.mk 3 Apr 2009 03:17:22 -0000
|
||||
@@ -172,16 +172,17 @@
|
||||
endif
|
||||
|
||||
ARCH = linux
|
||||
|
||||
DSO_CFLAGS = -fPIC
|
||||
DSO_LDOPTS = -shared $(ARCHFLAG) -Wl,-z,defs
|
||||
DSO_LDFLAGS =
|
||||
LDFLAGS += $(ARCHFLAG)
|
||||
+ASFLAGS += -Wa,--noexecstack
|
||||
|
||||
# INCLUDES += -I/usr/include -Y/usr/include/linux
|
||||
G++INCLUDES = -I/usr/include/g++
|
||||
|
||||
#
|
||||
# Always set CPU_TAG on Linux, OpenVMS, WINCE.
|
||||
#
|
||||
CPU_TAG = _$(CPU_ARCH)
|
@ -1,14 +1,11 @@
|
||||
Index: security/coreconf/Linux.mk
|
||||
===================================================================
|
||||
RCS file: /cvsroot/mozilla/security/coreconf/Linux.mk,v
|
||||
retrieving revision 1.31
|
||||
diff -u -p -6 -r1.31 Linux.mk
|
||||
--- security/coreconf/Linux.mk 22 Nov 2007 04:39:56 -0000 1.31
|
||||
+++ security/coreconf/Linux.mk 22 Jan 2008 08:30:06 -0000
|
||||
@@ -145,17 +145,13 @@ ifeq ($(OS_RELEASE),2.0)
|
||||
endif
|
||||
PROCESS_MAP_FILE = grep -v ';-' $< | \
|
||||
sed -e 's,;+,,' -e 's; DATA ;;' -e 's,;;,,' -e 's,;.*,;,' > $@
|
||||
retrieving revision 1.41
|
||||
diff -u -r1.41 Linux.mk
|
||||
--- security/coreconf/Linux.mk 29 Jul 2009 23:43:41 -0000 1.41
|
||||
+++ security/coreconf/Linux.mk 31 Jul 2009 08:02:50 -0000
|
||||
@@ -119,11 +119,7 @@
|
||||
endif
|
||||
|
||||
ifdef BUILD_OPT
|
||||
@ -18,9 +15,6 @@ diff -u -p -6 -r1.31 Linux.mk
|
||||
- OPTIMIZER = -O2
|
||||
-endif
|
||||
+ OPTIMIZER = $(OPT_FLAGS)
|
||||
ifdef MOZ_DEBUG_SYMBOLS
|
||||
OPTIMIZER += -gstabs+
|
||||
endif
|
||||
|
||||
ifeq ($(USE_PTHREADS),1)
|
||||
OS_PTHREAD = -lpthread
|
||||
endif
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user